 jQuery.fn.appendVal = function(txt) {
    return this.each(function(){
      this.value += txt;
   });
  };

  // cookie functions
  jQuery.cookie = function (name, value, options) {
    if (typeof value != 'undefined') { // name and value given, set cookie
      options = options || {};
      if (value === null) {
        value = '';
        options = jQuery.extend({},
        options); // clone object since it's unexpected behavior if the expired property were changed
        options.expires = -1;
      }
      var expires = '';
      if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
        var date;
        if (typeof options.expires == 'number') {
          date = new Date();
          date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
        } else {
          date = options.expires;
        }
        expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
      }
      // NOTE Needed to parenthesize options.path and options.domain
      // in the following expressions, otherwise they evaluate to undefined
      // in the packed version for some reason...
      var path = options.path ? '; path=' + (options.path) : '';
      var domain = options.domain ? '; domain=' + (options.domain) : '';
      var secure = options.secure ? '; secure' : '';
      document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
    } else { // only name given, get cookie
      var cookieValue = null;
      if (document.cookie && document.cookie != '') {
        var cookies = document.cookie.split(';');
        for (var i = 0; i < cookies.length; i++) {
          var cookie = jQuery.trim(cookies[i]);
          // Does this cookie string begin with the name we want?
          if (cookie.substring(0, name.length + 1) == (name + '=')) {
            cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
            break;
          }
        }
      }
      return cookieValue;
    }
  };

  // optimized minitabs
  (function (jQuery) {
    jQuery.fn.minitabs = function (options) {

      jQuery.fn.minitabs.defaults = {
        contentClass: '.sections',
        effect: 'top',
        speed: 333
      };

      var o = jQuery.extend({},
      jQuery.fn.minitabs.defaults, options);

      return this.each(function () {

          var $tabs = jQuery(this);

          // check for the active tab cookie
          var cookieID = $tabs.attr('id');
          var cookieState = jQuery.cookie(cookieID);

          // hide all sections
          $tabs.find(o.contentClass+" >div:gt(0)").hide();

          if(cookieState!=null) { // if we have a cookie then show the section according to its value
            $tabs.find('li.'+cookieState).addClass("active");
            var link = $tabs.find('li.'+cookieState+' a');
            var section = link.attr('href');
            $tabs.find(o.contentClass+' div'+section).show();
          }
          else { // if not, show the 1st section
            $tabs.find('ul:first').find('li:first').addClass("active");
            $tabs.find(o.contentClass+' div:first').show();
          }

          $tabs.find("ul>li>a").click(
            function(){
                $tabs.find('ul>li').removeClass("active");
                var cookieValue = jQuery(this).parent('li').attr("class");
                jQuery.cookie(cookieID,cookieValue, { path: '/' });
                jQuery(this).parent('li').addClass("active");
                jQuery(this).blur();
                var re = /([_\-\w]+$)/i;
                var target = jQuery('#' + re.exec(this.href)[1]);
                $tabs.find(o.contentClass+" >div").hide();
                target.css({opacity:0,top:-20}).show().animate({opacity:1,top:0},o.speed);
                return false;
             })
      });
    };
  })(jQuery);



  // convert radio buttons to select
  jQuery.fn.radio2select = function() {
    return this.each(function(){
    var $section = jQuery(this);
    jQuery(this).find('input[type=radio]').change(function() {
     jQuery(this).css("visibility","hidden");
     $section.find('label').removeClass("checked");
     val = $section.find('input[type=radio]:checked').attr('value');
     $section.find('label.'+val).addClass("checked");
    });
    jQuery(this).find('input[type=radio]').change();
   });
  };
